/****************************************************************************************************************************
  Portenta_H7_PWM.h
  For Portenta_H7 boards
  Written by Khoi Hoang

  Built by Khoi Hoang https://github.com/khoih-prog/Portenta_H7_PWM
  Licensed under MIT license

  Version: 2.1.0

  Version Modified By   Date      Comments
  ------- -----------  ---------- -----------
  1.0.0   K.Hoang      21/09/2021 Initial coding for Portenta_H7 using ArduinoCore-mbed mbed_portenta core
  2.0.0   K.Hoang      10/12/2021 Use new library code and examples
  2.0.1   K.Hoang      11/12/2021 Fix PWM_Multi example. Temporary fix polarity for HRTIM PWM
  2.0.2   K.Hoang      07/02/2022 Convert to h-only. Optimize code.
  2.0.3   K.Hoang      21/01/2023 Add `PWM_StepperControl` example
  2.1.0   K.Hoang      24/01/2023 Add `PWM_manual` example and related function. Optimize for speed
*****************************************************************************************************************************/

#pragma once

#ifndef Portenta_H7_PWM_H
#define Portenta_H7_PWM_H

#include "Portenta_H7_PWM.hpp"
#include "Portenta_H7_PWM_Impl.h"

#endif    // Portenta_H7_PWM_H

